#ifndef OD_COMMON_H_
#define OD_COMMON_H_

/**** Includes ****/
#include <stdint.h>

namespace board {

/**** Public definitions ****/
class ODCommon
{
	protected:
	uint8_t pwm_ch;
	uint8_t last_duty;
	
	public:
	ODCommon(uint8_t pwm_ch);
	~ODCommon(void);
	
	void write(uint8_t duty);
	uint8_t get_set_duty(void);
};

/**** Public function declarations ****/

#ifdef TESTING
#endif

} //namespace

#endif /* OD_COMMON_H_ */